import Discover from './views/Discover.vue'
import Feed from './views/Feed.vue'
import Router from 'vue-router'
import Vue from 'vue'
import { generateUrl } from '@nextcloud/router'

Vue.use(Router)

const router = new Router({
	base: generateUrl('apps/repod'),
	routes: [
		{
			path: '/',
			component: Discover,
		},
		{
			path: '/:url',
			component: Feed,
		},
	],
})

export default router
